tt_message_context_val(library call)

NAME
tt_message_context_val — retrieve the character string of a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_message_context_val(
Tt_message m,
const char *slotname);

DESCRIPTION

The tt_message_context_val function retrieves the character string of a message's context.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the context of this message.

If there is no context slot associated with slotname, tt_message_context_val returns a NULL pointer.

RETURN VALUE

Upon successful completion, the tt_message_context_val function returns the contents for the message argument. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).